package me.lensfrex.vegetables.utils;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.LinkedList;
import java.util.List;

public class IOUtils {
    /**
     * 从文件中读取每行数据。
     * 为保证性能，此处使用LinkedList
     *
     * @param path 文件的存储路径
     * @return LinkedList<String> 读取到的每行文本
     */
    public static LinkedList<String> getListFromFile(String path) throws IOException {
        LinkedList<String> list = new LinkedList<>();

        //读取文件内容
        //创建一个新的 FileReader ，给定要读取的文件的名称。
        //创建使用默认大小的输入缓冲区的缓冲字符输入流
        BufferedReader br = new BufferedReader(new FileReader(path));
        String data;
        while ((data = br.readLine()) != null) { // 一次读取一行
            list.add(data);
        }
        //关闭资源
        br.close();

        return list;
    }
}
